<?php
/*
    CREATIVE COMMONS - Attribution-No Derivative Works 3.0 Germany:
    - You may not alter, transform, or build upon this work.
    - Dieses Werk darf nicht bearbeitet oder in anderer Weise verändert werden.
*/
  if ($String!="")
  {
    $String = strip_tags($String);
    // Define Title
      $Title = htmlspecialchars($String, ENT_QUOTES);
    // Define String
      if ( !$GigDetailsShown )
      {
        $AnzahlZeichen = mb_strlen ($String, 'UTF-8');
        $SetupFrontendCalendarCharsInFields = getSetup('SetupFrontendCalendarCharsInFields');
        if ( $AnzahlZeichen > $SetupFrontendCalendarCharsInFields )
        {
          $String = mb_substr ( $String, 0, $SetupFrontendCalendarCharsInFields, 'UTF-8' );
          $String = trim ($String).'...';
        }
      }
      $String = htmlspecialchars($String, ENT_QUOTES);
    // Ouput
      echo '<span title="'.$Title.'">';
      echo $String;
      echo '</span>';
  }
?>
